Erro do python3 no terminal

1. Erro do python3 no terminal

Davi Braga Cassiano
Hazz-Giftfig

(usa Ubuntu)

Enviado em 09/02/2021 - 22:04h

Me ajuda!
Eu uso o Linux Mint 20, lançada no ano passado (2020). Mas hoje deu um problema e nao sei como resolver.


installArchives() failed: Setting up python3 (3.8.2-0ubuntu2) ...
running python rtupdate hooks for python3.8...
dpkg-query: package 'gedit' is not installed
Use dpkg --contents (= dpkg-deb --contents) to list archive files contents.
Traceback (most recent call last):
File "/usr/bin/py3clean", line 210, in <module>
main()
File "/usr/bin/py3clean", line 196, in main
pfiles = set(dpf.from_package(options.package))
File "/usr/share/python3/debpython/files.py", line 53, in from_package
raise Exception("cannot get content of %%s" %% package_name)
Exception: cannot get content of gedit
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_bin_py3clean.0.crash'

Original exception was:
Traceback (most recent call last):
File "/usr/bin/py3clean", line 210, in <module>
main()
File "/usr/bin/py3clean", line 196, in main
pfiles = set(dpf.from_package(options.package))
File "/usr/share/python3/debpython/files.py", line 53, in from_package
raise Exception("cannot get content of %%s" %% package_name)
Exception: cannot get content of gedit
error running python rtupdate hook gedit
dpkg-query: warning: files list file for package 'rhythmbox-plugins' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'rhythmbox-plugins' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'system-config-printer-common' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'system-config-printer-common' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'system-config-printer' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'system-config-printer' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'xviewer-plugins' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'xviewer-plugins' missing; assuming package has no files currently installed
dpkg: error processing package python3 (--configure):
installed python3 package post-installation script subprocess returned error exit status 4
Errors were encountered while processing:
python3
Setting up libpaper1:amd64 (1.1.28) ...
dpkg: error processing package libpaper1:amd64 (--configure):
installed libpaper1:amd64 package post-installation script subprocess returned error exit status 10
Setting up python3 (3.8.2-0ubuntu2) ...
running python rtupdate hooks for python3.8...
dpkg-query: package 'gedit' is not installed
Use dpkg --contents (= dpkg-deb --contents) to list archive files contents.
Traceback (most recent call last):
File "/usr/bin/py3clean", line 210, in <module>
main()
File "/usr/bin/py3clean", line 196, in main
pfiles = set(dpf.from_package(options.package))
File "/usr/share/python3/debpython/files.py", line 53, in from_package
raise Exception("cannot get content of %%s" %% package_name)
Exception: cannot get content of gedit
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_bin_py3clean.0.crash'

Original exception was:
Traceback (most recent call last):
File "/usr/bin/py3clean", line 210, in <module>
main()
File "/usr/bin/py3clean", line 196, in main
pfiles = set(dpf.from_package(options.package))
File "/usr/share/python3/debpython/files.py", line 53, in from_package
raise Exception("cannot get content of %%s" %% package_name)
Exception: cannot get content of gedit
error running python rtupdate hook gedit
dpkg-query: warning: files list file for package 'rhythmbox-plugins' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'rhythmbox-plugins' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'system-config-printer-common' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'system-config-printer-common' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'system-config-printer' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'system-config-printer' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'xviewer-plugins' missing; assuming package has no files currently installed
dpkg-query: warning: files list file for package 'xviewer-plugins' missing; assuming package has no files currently installed
dpkg: error processing package python3 (--configure):
installed python3 package post-installation script subprocess returned error exit status 4
Setting up grub-pc (2.04-1ubuntu26.8) ...
dpkg: error processing package grub-pc (--configure):
installed grub-pc package post-installation script subprocess returned error exit status 10
Setting up clamav-freshclam (0.102.4+dfsg-0ubuntu0.20.04.1) ...
dpkg: error processing package clamav-freshclam (--configure):
installed clamav-freshclam package post-installation script subprocess returned error exit status 10
dpkg: dependency problems prevent configuration of grub-efi-amd64-signed:
grub-efi-amd64-signed depends on grub-efi-amd64 | grub-pc; however:
Package grub-efi-amd64 is not installed.
Package grub-pc is not configured yet.

dpkg: error processing package grub-efi-amd64-signed (--configure):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.31-0ubuntu9.2) ...


Isso esta evitando que eu instale qualquer outra aplicação. O que posso fazer??



  


2. Re: Erro do python3 no terminal

Daniel Lara Souza
danniel-lara

(usa Fedora)

Enviado em 10/02/2021 - 13:30h


fez alguma alteração tipo remover algum pacote ?


3. Re: Erro do python3 no terminal

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 10/02/2021 - 22:32h

Já tentou
sudo apt-get update && apt-get upgrade


4. Re: Erro do python3 no terminal

Davi Braga Cassiano
Hazz-Giftfig

(usa Ubuntu)

Enviado em 10/02/2021 - 22:38h

leandropscardua escreveu:

Já tentou
sudo apt-get update && apt-get upgrade


Já sim, mas aparece isso:

Ign:1 http://repositorio.nti.ufal.br/mint ulyana InRelease
Atingido:2 http://repositorio.nti.ufal.br/mint ulyana Release
Atingido:3 http://security.ubuntu.com/ubuntu focal-security InRelease
Atingido:4 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:5 https://brave-browser-apt-release.s3.brave.com stable InRelease
Atingido:6 http://archive.canonical.com/ubuntu focal InRelease
Atingido:7 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease
Atingido:8 http://shop.softmaker.com/repo/apt wheezy InRelease
Atingido:10 https://dl.winehq.org/wine-builds/ubuntu focal InRelease
Atingido:11 https://ubuntu.itsbrasil.net/ubuntu focal InRelease
Atingido:12 https://ubuntu.itsbrasil.net/ubuntu focal-updates InRelease
Atingido:13 https://ubuntu.itsbrasil.net/ubuntu focal-backports InRelease
Lendo listas de pacotes... Pronto
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Calculando atualização... Pronto
Os pacotes a seguir serão atualizados:
brave-browser openjdk-11-jre openjdk-11-jre-headless
3 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
5 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/117 MB de arquivos.
Depois desta operação, 985 kB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
Configurando python3 (3.8.2-0ubuntu2) ...
running python rtupdate hooks for python3.8...
dpkg-query: o pacote 'gedit' não está instalado
Utilize dpkg --contents (= dpkg-deb --contents) para listar o conteúdo de ficheiros de arquivo.
Traceback (most recent call last):
File "/usr/bin/py3clean", line 210, in <module>
main()
File "/usr/bin/py3clean", line 196, in main
pfiles = set(dpf.from_package(options.package))
File "/usr/share/python3/debpython/files.py", line 53, in from_package
raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gedit
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_bin_py3clean.0.crash'

Original exception was:
Traceback (most recent call last):
File "/usr/bin/py3clean", line 210, in <module>
main()
File "/usr/bin/py3clean", line 196, in main
pfiles = set(dpf.from_package(options.package))
File "/usr/share/python3/debpython/files.py", line 53, in from_package
raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gedit
error running python rtupdate hook gedit
dpkg-query: aviso: falta ficheiro de lista de ficheiros 'rhythmbox-plugins'; assumindo que o pacote não tem actualmente ficheiros instalados
dpkg-query: aviso: falta ficheiro de lista de ficheiros 'rhythmbox-plugins'; assumindo que o pacote não tem actualmente ficheiros instalados
dpkg-query: aviso: falta ficheiro de lista de ficheiros 'system-config-printer-common'; assumindo que o pacote não tem actualmente ficheiros instalados
dpkg-query: aviso: falta ficheiro de lista de ficheiros 'system-config-printer-common'; assumindo que o pacote não tem actualmente ficheiros instalados
dpkg-query: aviso: falta ficheiro de lista de ficheiros 'system-config-printer'; assumindo que o pacote não tem actualmente ficheiros instalados
dpkg-query: aviso: falta ficheiro de lista de ficheiros 'system-config-printer'; assumindo que o pacote não tem actualmente ficheiros instalados
dpkg-query: aviso: falta ficheiro de lista de ficheiros 'xviewer-plugins'; assumindo que o pacote não tem actualmente ficheiros instalados
dpkg-query: aviso: falta ficheiro de lista de ficheiros 'xviewer-plugins'; assumindo que o pacote não tem actualmente ficheiros instalados
dpkg: erro ao processar o pacote python3 (--configure):
o subprocesso instalado, do pacote python3, o script post-installation retornou erro do status de saída 4
Erros foram encontrados durante o processamento de:
python3
E: Sub-process /usr/bin/dpkg returned an error code (1)